org.crosswire.bibledesktop.book.install

## Enum EditSitePane.EditState

- java.lang.Object
- - java.lang.Enum<EditSitePane.EditState>
  - - org.crosswire.bibledesktop.book.install.EditSitePane.EditState

- All Implemented Interfaces:
    Serializable, Comparable<EditSitePane.EditState>
  Enclosing class:
    EditSitePane

      private static enum EditSitePane.EditState
      extends Enum<EditSitePane.EditState>

  An EditState give the possible states that an editor can be in.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISPLAY` The state is viewing a site
    `EDIT_ERROR` The state is editing a site (syntactically invalid)
    `EDIT_OK` The state is editing a site (syntactically valid)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EditSitePane.EditState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EditSitePane.EditState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISPLAY

          public static final EditSitePane.EditState DISPLAY

      The state is viewing a site

    - #### EDIT_OK

          public static final EditSitePane.EditState EDIT_OK

      The state is editing a site (syntactically valid)

    - #### EDIT_ERROR

          public static final EditSitePane.EditState EDIT_ERROR

      The state is editing a site (syntactically invalid)

  - ### Method Detail

    - #### values

          public static EditSitePane.EditState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EditSitePane.EditState c : EditSitePane.EditState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EditSitePane.EditState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null